curl --request POST \
--url https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"references": {}
}
'import requests
url = "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm"
payload = { "references": {} }
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
api_key: '<api-key>',
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({references: {}})
};
fetch('https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'references' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Frankie-CustomerID: <x-frankie-customerid>",
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm"
payload := strings.NewReader("{\n \"references\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("api_key", "<api-key>")
req.Header.Add("X-Frankie-CustomerID", "<x-frankie-customerid>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm")
.header("api_key", "<api-key>")
.header("X-Frankie-CustomerID", "<x-frankie-customerid>")
.header("Content-Type", "application/json")
.body("{\n \"references\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["api_key"] = '<api-key>'
request["X-Frankie-CustomerID"] = '<x-frankie-customerid>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"references\": {}\n}"
response = http.request(request)
puts response.read_body{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"analysis": {
"analysisId": "01K3G4CCQ3DY3B1413S19M9QW1",
"attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "VALID",
"isConfirmed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"documentInformation": {
"type": "TRUST_DOCUMENT",
"trust": {
"name": {
"value": "<string>",
"referenceIds": [
"<string>"
]
},
"establishment": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
},
"country": {
"value": "<string>",
"referenceIds": [
"<string>"
]
},
"subdivision": {
"value": "<string>",
"referenceIds": [
"<string>"
]
}
},
"certification": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
}
},
"execution": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
}
},
"linkedIndividuals": {},
"linkedOrganizations": {},
"linkedUnknownEntities": {},
"settlors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"trustees": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"type": {
"provided": "DISCRETIONARY",
"detected": "DISCRETIONARY"
},
"typeInformation": {
"type": "DISCRETIONARY",
"discretionary": {
"specifiedBeneficiaries": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"generalBeneficiaries": [
{
"value": "<string>",
"referenceIds": [
"<string>"
]
}
],
"appointors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"protectors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
]
}
}
}
},
"references": {},
"errors": [
{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
]
}
]
}
}Confirm a trust analysis result for a document
Submit a human-reviewed confirmation of a trust analysis result. The confirmation payload is the corrected DocumentAnalysisInformationAndReferences, which may be identical to the original analysis (confirm-as-is) or contain customer corrections. A new CONFIRMATION result is created with the confirmed payload. If a prior CONFIRMATION exists for the same analysis, it is marked STALE; the original ANALYSIS result is preserved as an audit trail. The response returns the confirmed analysis with isConfirmed=true and status=VALID, in the same shape as a single item from the GET analyses response.
curl --request POST \
--url https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"references": {}
}
'import requests
url = "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm"
payload = { "references": {} }
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
api_key: '<api-key>',
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({references: {}})
};
fetch('https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'references' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Frankie-CustomerID: <x-frankie-customerid>",
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm"
payload := strings.NewReader("{\n \"references\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("api_key", "<api-key>")
req.Header.Add("X-Frankie-CustomerID", "<x-frankie-customerid>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm")
.header("api_key", "<api-key>")
.header("X-Frankie-CustomerID", "<x-frankie-customerid>")
.header("Content-Type", "application/json")
.body("{\n \"references\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["api_key"] = '<api-key>'
request["X-Frankie-CustomerID"] = '<x-frankie-customerid>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"references\": {}\n}"
response = http.request(request)
puts response.read_body{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"analysis": {
"analysisId": "01K3G4CCQ3DY3B1413S19M9QW1",
"attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "VALID",
"isConfirmed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"documentInformation": {
"type": "TRUST_DOCUMENT",
"trust": {
"name": {
"value": "<string>",
"referenceIds": [
"<string>"
]
},
"establishment": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
},
"country": {
"value": "<string>",
"referenceIds": [
"<string>"
]
},
"subdivision": {
"value": "<string>",
"referenceIds": [
"<string>"
]
}
},
"certification": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
}
},
"execution": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
}
},
"linkedIndividuals": {},
"linkedOrganizations": {},
"linkedUnknownEntities": {},
"settlors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"trustees": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"type": {
"provided": "DISCRETIONARY",
"detected": "DISCRETIONARY"
},
"typeInformation": {
"type": "DISCRETIONARY",
"discretionary": {
"specifiedBeneficiaries": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"generalBeneficiaries": [
{
"value": "<string>",
"referenceIds": [
"<string>"
]
}
],
"appointors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"protectors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
]
}
}
}
},
"references": {},
"errors": [
{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
]
}
]
}
}Headers
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Path Parameters
Body
Was this page helpful?